Log (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim

## Class Log

- java.lang.Object
- - org.cloudbus.cloudsim.Log

-     public class Log
      extends Object

  The Log class used for performing loggin of the simulation process. It provides the ability to substitute the output stream by any OutputStream subclass.
  Since:
    CloudSim Toolkit 2.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `disable()` Disables the output.
    `static void` | `enable()` Enables the output.
    `static void` | `format(String format, Object... args)` Prints a string formated as in String.format().
    `static void` | `formatLine(String format, Object... args)` Prints a line formated as in String.format().
    `static OutputStream` | `getOutput()` Gets the output.
    `static boolean` | `isDisabled()` Checks if the output is disabled.
    `static void` | `print(Object message)` Prints the message passed as a non-String object.
    `static void` | `print(String message)` Prints the message.
    `static void` | `printLine()` Prints the empty line.
    `static void` | `printLine(Object message)` Prints the line passed as a non-String object.
    `static void` | `printLine(String message)` Prints the line.
    `static void` | `setDisabled(boolean _disabled)` Sets the disable output flag.
    `static void` | `setOutput(OutputStream _output)` Sets the output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log

          public Log()

  - ### Method Detail

    - #### print

          public static void print(String message)

      Prints the message.
      Parameters:
        `message` - the message

    - #### print

          public static void print(Object message)

      Prints the message passed as a non-String object.
      Parameters:
        `message` - the message

    - #### printLine

          public static void printLine(String message)

      Prints the line.
      Parameters:
        `message` - the message

    - #### printLine

          public static void printLine()

      Prints the empty line.

    - #### printLine

          public static void printLine(Object message)

      Prints the line passed as a non-String object.
      Parameters:
        `message` - the message

    - #### format

          public static void format(String format,
                    Object... args)

      Prints a string formated as in String.format().
      Parameters:
        `format` - the format
        `args` - the args

    - #### formatLine

          public static void formatLine(String format,
                        Object... args)

      Prints a line formated as in String.format().
      Parameters:
        `format` - the format
        `args` - the args

    - #### setOutput

          public static void setOutput(OutputStream _output)

      Sets the output.
      Parameters:
        `_output` - the new output

    - #### getOutput

          public static OutputStream getOutput()

      Gets the output.
      Returns:
        the output

    - #### setDisabled

          public static void setDisabled(boolean _disabled)

      Sets the disable output flag.
      Parameters:
        `_disabled` - the new disabled

    - #### isDisabled

          public static boolean isDisabled()

      Checks if the output is disabled.
      Returns:
        true, if is disable

    - #### disable

          public static void disable()

      Disables the output.

    - #### enable

          public static void enable()

      Enables the output.

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.